<?php
// Define the XML file to be parsed.
$file = "botscout_sample.xml";

// Instruct the parser on how to treat data that appears in (between) tags.
function contents($parser, $data){
	echo $data;
}

// Instruct the parser to bold the data with a <b> on each start tag.
function startTag($parser, $data){
	echo "<b>";
}

// Instruct the parser to stop bolding and insert a linebreak by  
// replacing the closing tags with "</b><br />".
function endTag($parser, $data){
	echo "</b><br />";
}

// This creates the initial parser object.
// reading the document.
$xml_parser = xml_parser_create();

// Set the functions for start and end tags.
xml_set_element_handler($xml_parser, "startTag", "endTag");

// Set the function for the contents/data.
xml_set_character_data_handler($xml_parser, "contents");

// Open the file for reading.
$fp = fopen($file, "r");

// Read the file and put the contents into a variable named "data".
$data = fread($fp, 80000);

// This statement does two things. 1) it parses the document according to our 
// functions created above. 2) If the parse fails for some reason it returns an
// error message and also tells us which line the error occured at.
if(!(xml_parse($xml_parser, $data, feof($fp)))){
	die("Error on line " . xml_get_current_line_number($xml_parser));
}

// Free the memory used to create the parser.
xml_parser_free($xml_parser);

// Close the file when you're done reading it.
fclose($fp);
?>

